<article class="post-preview bg-white shadow-sm mb-4 p-4">
    <div class="row">
        {{ if .Params.image }}
        <div class="col-lg-4 col-md-6">
            {{ if hasPrefix .Params.image "http"}}
                <img src="{{.Params.image}}" alt="{{ .Title }}" class="img-title media-object"/>
            {{ else}}
                <img src="{{ .Permalink }}{{.Params.image}}" alt="{{ .Title }}" class="img-title media-object"/>
            {{ end }}
        </div>
        <div class="col-md-6 col-lg-8 mt-4 mt-md-0">
        {{ else }}
        <div class="col-lg-12">
        {{end}}
            <a href="{{ .Permalink }}">
                <h2 class="post-title">{{ .Title }}</h2>
                {{ if .Params.subtitle }}
                <h3 class="post-subtitle">
                    {{ .Params.subtitle }}
                </h3>
                {{ end }}
                {{ if .Params.affiliation }}
                <h3 class="post-subtitle">
                    {{ .Params.affiliation }}
                </h3>
                {{ end }}

                {{ if .Params.video }}

                <video loop autoplay muted playsinline class="img-title">
                    <source src="{{ .Params.video }}">
                </video>

                {{ end }}
            </a>


            <p class="post-meta">
                {{ if .Params.date}}
                    {{ partial "post_meta.html" . }}
                {{ end }}
            </p>
        </div>
    </div>

    <div class="post-entry">
        {{ if .Truncated }}
        {{ .Summary }}
        <a href="{{ .Permalink }}" class="post-read-more">[{{ i18n "readMore" }}]</a>
        {{ else }}
        {{ .Content }}
        {{ end }}
    </div>

</article>
